edu.cmu.pslc.logging.distiller

## Class ChineseDistiller

- java.lang.Object
- - edu.cmu.pslc.logging.distiller.ChineseDistiller

-     public class ChineseDistiller
      extends java.lang.Object

  Change the files Connie and Derek gave us and put them in our format. Assumptions: 1. that every of data has the same number of conditions, KCs and custom fields
  Version:
    $Revision: 8625 $
    Last modified by: $Author: mkomisin $
    Last modified on: $Date: 2013-01-31 09:03:36 -0500 (Thu, 31 Jan 2013) $
  Author:
    Alida Skogsholm

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChineseDistiller()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `displayUsage()` Display the usage if an error occurs while handling the command line arguments.
    `java.util.List<edu.cmu.pslc.logging.distiller.ChineseDistiller.Transaction>` | `getLearningTxs(edu.cmu.pslc.logging.distiller.ChineseDistiller.RawData rawData)` Read in learning data and produce a list of transactions.
    `java.util.List<edu.cmu.pslc.logging.distiller.ChineseDistiller.Transaction>` | `getPosttestTxs(edu.cmu.pslc.logging.distiller.ChineseDistiller.RawData rawData)` Read in post-test data and produce a list of transactions.
    `protected void` | `handleOptions(java.lang.String[] args)` Handle the command line options.
    `void` | `justDoIt()` Read the input file and produce a tab-delimited file and or xml file, either of which DataShop can import.
    `static void` | `main(java.lang.String[] args)` Main.
    `edu.cmu.pslc.logging.distiller.ChineseDistiller.RawData` | `readAndParseFile()` Read the data from the file, parse it and return a list of RawData objects.
    `void` | `writeXmlFile(java.util.List<edu.cmu.pslc.logging.distiller.ChineseDistiller.Transaction> transactionList)` Write the transactions to a XML file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChineseDistiller

          public ChineseDistiller()

  - ### Method Detail

    - #### displayUsage

          protected void displayUsage()

      Display the usage if an error occurs while handling the command line arguments.
      See Also:
        `handleOptions(String[])`

    - #### handleOptions

          protected void handleOptions(java.lang.String[] args)

      Handle the command line options.
      Parameters:
        `args` - arguments on the command line
      See Also:
        `displayUsage()`

    - #### justDoIt

          public final void justDoIt()
                              throws java.io.IOException

      Read the input file and produce a tab-delimited file and or xml file, either of which DataShop can import.
      Throws:
        `java.io.IOException` - an IO exception

    - #### getLearningTxs

          public java.util.List<edu.cmu.pslc.logging.distiller.ChineseDistiller.Transaction> getLearningTxs(edu.cmu.pslc.logging.distiller.ChineseDistiller.RawData rawData)

      Read in learning data and produce a list of transactions.
      Parameters:
        `rawData` - the data read in from the file
      Returns:
        a list of Transaction objects

    - #### getPosttestTxs

          public java.util.List<edu.cmu.pslc.logging.distiller.ChineseDistiller.Transaction> getPosttestTxs(edu.cmu.pslc.logging.distiller.ChineseDistiller.RawData rawData)

      Read in post-test data and produce a list of transactions.
      Parameters:
        `rawData` - the unprocessed/raw data from the input file
      Returns:
        a list of transactions

    - #### readAndParseFile

          public edu.cmu.pslc.logging.distiller.ChineseDistiller.RawData readAndParseFile()

      Read the data from the file, parse it and return a list of RawData objects.
      Returns:
        list of type RawData (inner class)

    - #### writeXmlFile

          public void writeXmlFile(java.util.List<edu.cmu.pslc.logging.distiller.ChineseDistiller.Transaction> transactionList)
                            throws java.io.IOException

      Write the transactions to a XML file.
      Parameters:
        `transactionList` - the list of transactions
      Throws:
        `java.io.IOException` - an IO exception on the write to file

    - #### main

          public static void main(java.lang.String[] args)

      Main.
      Parameters:
        `args` - command line arguments

Copyright (c) 2015 - Pittsburgh Science of Learning Center